Skip to main content

Get Showcase Creative Resources

API Description

Get information about one or more showcase creative resources matching query parameters.

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED

Query Parameters

Filters to apply on the operation.

NameInput
id
OPTIONAL
state
OPTIONAL
createdDate
OPTIONAL
updatedDate
OPTIONAL
showcaseCreativeDetails.photo.id
OPTIONAL
Path Template
GET {url}/api/{version}/orgs/{orgId}/brands/{brandId}/showcase-creatives?ql={query_parameter};{query_parameter}

This path example is expected to return all showcases possessing the identified photo

Path Example
GET {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/showcase-creatives?ql=showcaseCreativeDetails.photo.id==9467895078742654949

Request Headers

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 8852d16f-541e-4b62-8f6b-251835515795
content-type: application/json

Response Body

NameOutput
$.data[]
REQUIRED
$.total
REQUIRED
$.orgId
REQUIRED
$.brandId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.etag
REQUIRED
$.showcaseCreativeDetails
REQUIRED
$.metadata[]
CONDITIONAL
Example Response Body (raw JSON)
{
"data": [
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654987",
"createdDate": "2026-10-01T00:00:00.00Z",
"updatedDate": "2026-10-01T00:00:00.00Z",
"state": "SUBMITTED",
"etag": "1e5fbf1c-ddd5-11ec-8016-f7b230a5146d",
"showcaseCreativeDetails": {
"contents": [
{
"placement": "HEADLINE",
"descriptions": [
{
"locale": "en-US",
"text": "Happy New Year!"
}
]
},
{
"placement": "BODY",
"descriptions": [
{
"locale": "en-US",
"text": "Ring in the New Year with our new flavors!"
}
]
}
],
"callToAction": "WEBSITE",
"photo": {
"id": "9467895078742654949",
"captions": [
{
"altText": "Storefront and and outdoor patio with tables and chairs",
"locale": "en-US"
}
]
}
}
},
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654965",
"createdDate": "2026-10-01T10:22:23.00Z",
"updatedDate": "2026-10-01T10:22:23.00Z",
"state": "SUBMITTED",
"etag": "1d5a65c2-ddda-11ec-8070-ffc4c41027b7",
"showcaseCreativeDetails": {
"contents": [
{
"placement": "HEADLINE",
"descriptions": [
{
"locale": "en-US",
"text": "Sundae Funday!"
}
]
},
{
"placement": "BODY",
"descriptions": [
{
"locale": "en-US",
"text": "Yeah, it's Sunday, you deserve it!"
}
]
}
],
"callToAction": "CALL",
"photo": {
"id": "9467895078742654949",
"captions": [
{
"altText": "Interior seating area with tables and chairs",
"locale": "en-US"
}
]
}
}
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/api/v1/orgs/9467895078742654934/brands/9467895078742654921/showcase-creatives?limit=2&after=8U54a61d9b495324"
},
"total": 4
}

When no collection is returned.

Example Response Body (raw JSON)
{
"data": [],
"pagination": {},
"total": 0
}